Debian Bug report logs - #315038
tomcat5: Tomcat5 doesn't start after installation

version graph

Package: tomcat5; Maintainer for tomcat5 is (unknown);

Reported by: Paul Romanchenko <paul@jet.msk.su>

Date: Mon, 20 Jun 2005 08:18:04 UTC

Severity: grave

Tags: experimental, fixed-in-experimental

Found in versions 5.0.30-1, tomcat5/5.0.30-3, tomcat5/5.0.30-10

Done: "Horacio Salgado" <gianlksiml@blfgi.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to Paul Romanchenko <paul@jet.msk.su>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Romanchenko <paul@jet.msk.su>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tomcat5: Tomcat5 doesn't start after installation
Date: Mon, 20 Jun 2005 12:12:21 +0400
Package: tomcat5
Version: 5.0.30-1
Severity: grave
Tags: experimental
Justification: renders package unusable

After installation, configuring (via /etc/defaults/tomcat5, where I set
up JAVA_HOME) and starting tomcat5, I got the following in log files:

# cat /var/log/tomcat5/catalina_2005-06-20.log
Using CATALINA_BASE:   /var/lib/tomcat5
Using CATALINA_HOME:   /usr/share/tomcat5
Using CATALINA_TMPDIR: /var/lib/tomcat5/temp
Using JAVA_HOME:       /usr/lib/j2sdk1.5-sun
Bootstrap: Class loader creation threw exception
java.lang.NoClassDefFoundError: org/apache/commons/logging/LogFactory
        at org.apache.tomcat.util.compat.JdkCompat.<clinit>(JdkCompat.java:55)
        at org.apache.catalina.startup.ClassLoaderFactory.<clinit>(ClassLoaderFactory.java:63)
        at org.apache.catalina.startup.Bootstrap.initClassLoaders(Bootstrap.java:103)
        at org.apache.catalina.startup.Bootstrap.init(Bootstrap.java:196)
        at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:402)

The following related packages are installed:
libtomcat5-java 5.0.30-1
libcommons-logging-java 1.0.4-2

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-1-686
Locale: LANG=ru_RU.KOI8-R, LC_CTYPE=ru_RU.KOI8-R (charmap=KOI8-R)

Versions of packages tomcat5 depends on:
ii  adduser                 3.63             Add and remove users and groups
ii  apache-utils            1.3.33-6         utility programs for webservers (t
ii  apache2-utils [apache-u 2.0.54-4         utility programs for webservers
ii  gcj-4.0 [java-compiler] 4.0.0-2          The GNU compiler for Java(TM)
ii  gij-4.0 [java-virtual-m 4.0-0pre6ubuntu7 The GNU Java bytecode interpreter
ii  jamvm [java-virtual-mac 1.3.0-1          virtual machine which conforms to 
ii  jikes-sablevm [java-com 1.11.3-1         Wrapper for jikes using classes fr
ii  libtomcat5-java         5.0.30-1         Java Servlet engine -- core librar
ii  sablevm [java-virtual-m 1.11.3-1         Free implementation of Java Virtua
ii  sun-j2sdk1.5 [java-comp 1.5.0+update01   Java(TM) 2 SDK, Standard Edition, 

tomcat5 recommends no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to Arnaud Vandyck <avdyk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 315038@bugs.debian.org (full text, mbox):

From: Arnaud Vandyck <avdyk@debian.org>
To: Paul Romanchenko <paul@jet.msk.su>
Cc: 315038@bugs.debian.org
Subject: Re: Bug#315038: tomcat5: Tomcat5 doesn't start after installation
Date: Mon, 20 Jun 2005 17:02:41 +0200
Mon, 20 Jun 2005 12:12:21 +0400, 
Paul Romanchenko <paul@jet.msk.su> wrote: 

> After installation, configuring (via /etc/defaults/tomcat5, where I set
> up JAVA_HOME) and starting tomcat5, I got the following in log files:
>
> # cat /var/log/tomcat5/catalina_2005-06-20.log
> Using CATALINA_BASE:   /var/lib/tomcat5
> Using CATALINA_HOME:   /usr/share/tomcat5
> Using CATALINA_TMPDIR: /var/lib/tomcat5/temp
> Using JAVA_HOME:       /usr/lib/j2sdk1.5-sun
> Bootstrap: Class loader creation threw exception
> java.lang.NoClassDefFoundError: org/apache/commons/logging/LogFactory
>         at org.apache.tomcat.util.compat.JdkCompat.<clinit>(JdkCompat.java:55)
>         at org.apache.catalina.startup.ClassLoaderFactory.<clinit>(ClassLoaderFactory.java:63)
>         at org.apache.catalina.startup.Bootstrap.initClassLoaders(Bootstrap.java:103)
>         at org.apache.catalina.startup.Bootstrap.init(Bootstrap.java:196)
>         at org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:402)

Hi,

Yes, I know...
http://www.edev.be/blog/index.php/archives/2005/06/11/tomcat5-in-experimental-to-experiment/

If you know what happen and have a patch, I'd be glad to apply ;-)

-- 
  .''`. 
 : :' :rnaud
 `. `'  
   `-    
Java Trap: http://www.gnu.org/philosophy/java-trap.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to Josh Partlow <jpartlow@opensourcery.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 315038@bugs.debian.org (full text, mbox):

From: Josh Partlow <jpartlow@opensourcery.com>
To: 315038@bugs.debian.org
Subject: Fixes for library issues
Date: Mon, 20 Jun 2005 17:23:35 -0700
Hello,

These are the changes I needed to make to get the tomcat5 packages
working:

The first problem seemed to be caused by a missing
commons-logging-api.jar in bin/ so I linked in the
commons-logging-api.jar from /usr/share/java.

After that, tomcat5 started, but applications were failing for lack of
classes for the jsp.api and then the Jakarta commons-el api.

I did three things under commons/lib:

 servlet.api was pointing to the 2.3 api, I changed it to point to 2.4:
ln -s ../../../java/servlet-api.jar .
 linked jsp-api.jar which was missing
ln -s ../../java/jsp-api.jar .
 linked in commons-el (which I had to install so current tomcat5 must
not be dependent on it...)
ln -s ../../java/commons-el.jar .

The index page now displays.

I hope the above is helpful.

Josh

-- 
Josh Partlow                               OpenSourcery, LLC
jpartlow@opensourcery.com                  www.osourcery.com




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to Wolfgang Baer <WBaer@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #20 received at 315038@bugs.debian.org (full text, mbox):

From: Wolfgang Baer <WBaer@gmx.de>
To: Josh Partlow <jpartlow@opensourcery.com>, 315038@bugs.debian.org
Subject: Re: Bug#315038: Fixes for library issues
Date: Tue, 21 Jun 2005 08:07:30 +0200
Josh Partlow wrote:
> Hello,
> 
> These are the changes I needed to make to get the tomcat5 packages
> working:
> 
[...]

> The index page now displays.
> 
> I hope the above is helpful.

This is really helpful - thanks a lot.

I think you are running tomcat5 on a non-free JDK ?

Wolfgang




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to Josh Partlow <jpartlow@opensourcery.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #25 received at 315038@bugs.debian.org (full text, mbox):

From: Josh Partlow <jpartlow@opensourcery.com>
To: Wolfgang Baer <WBaer@gmx.de>
Cc: 315038@bugs.debian.org
Subject: Re: Bug#315038: Fixes for library issues
Date: Tue, 21 Jun 2005 08:58:04 -0700
On Tue, 2005-06-21 at 08:07 +0200, Wolfgang Baer wrote:
> I think you are running tomcat5 on a non-free JDK ?
> 
Yes, sorry, it was tested on:

java version "1.4.2_06"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_06-b03)
Java HotSpot(TM) Client VM (build 1.4.2_06-b03, mixed mode)

kernel 2.6.8-1-686 #1 Thu Nov 25 04:34:30 UTC 2004 i686 GNU/Linux,
libc-2.3.2.so

-Josh




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to Arnaud Vandyck <avdyk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 315038@bugs.debian.org (full text, mbox):

From: Arnaud Vandyck <avdyk@debian.org>
To: 315038@bugs.debian.org
Cc: Paul Romanchenko <paul@jet.msk.su>
Subject: Re: Bug#315038: tomcat5: Tomcat5 doesn't start after installation
Date: Tue, 21 Jun 2005 21:06:29 +0200
Mon, 20 Jun 2005 19:16:21 +0400, 
Paul Romanchenko <paul@jet.msk.su> wrote: 

> Arnaud Vandyck wrote:
>> Mon, 20 Jun 2005 12:12:21 +0400, 
>> Paul Romanchenko <paul@jet.msk.su> wrote: 
>
>> 
>> Yes, I know...
>> http://www.edev.be/blog/index.php/archives/2005/06/11/tomcat5-in-experimental-to-experiment/
>> 
>> If you know what happen and have a patch, I'd be glad to apply ;-)
> At first sight: tomcat5 tries to load (surprise)
> /usr/share/tomcat5/bin/commons-logging-api.jar, while it is in
> /usr/share/java.

Sight. I'm working on putting every libs in the right locations...

-- 
  .''`. 
 : :' :rnaud
 `. `'  
   `-    
Java Trap: http://www.gnu.org/philosophy/java-trap.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to Arnaud Vandyck <avdyk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 315038@bugs.debian.org (full text, mbox):

From: Arnaud Vandyck <avdyk@debian.org>
To: Josh Partlow <jpartlow@opensourcery.com>
Cc: 315038@bugs.debian.org
Subject: Re: Bug#315038: Fixes for library issues
Date: Tue, 21 Jun 2005 23:05:31 +0200
Mon, 20 Jun 2005 17:23:35 -0700, 
Josh Partlow <jpartlow@opensourcery.com> wrote: 

> Hello,
>
> These are the changes I needed to make to get the tomcat5 packages
> working:

I already did this but thanks for your help.

I'm also comparing /usr/share/tomcat5 and a fresh binary download from
the jakarta website. I think some libs are not linked correctly and some
are missing. I'll try to investigate as soon as possible.

Cheers,

-- 
  .''`. 
 : :' :rnaud
 `. `'  
   `-    
Java Trap: http://www.gnu.org/philosophy/java-trap.html



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to Arnaud Vandyck <avdyk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 315038@bugs.debian.org (full text, mbox):

From: Arnaud Vandyck <avdyk@debian.org>
To: Josh Partlow <jpartlow@opensourcery.com>
Cc: 315038@bugs.debian.org, Wolfgang Baer <WBaer@gmx.de>
Subject: Re: Bug#315038: Fixes for library issues
Date: Tue, 21 Jun 2005 23:06:29 +0200
Tue, 21 Jun 2005 08:58:04 -0700, 
Josh Partlow <jpartlow@opensourcery.com> wrote: 

> On Tue, 2005-06-21 at 08:07 +0200, Wolfgang Baer wrote:
>> I think you are running tomcat5 on a non-free JDK ?
>> 
> Yes, sorry, it was tested on:
>
> java version "1.4.2_06"
> Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_06-b03)
> Java HotSpot(TM) Client VM (build 1.4.2_06-b03, mixed mode)
>
> kernel 2.6.8-1-686 #1 Thu Nov 25 04:34:30 UTC 2004 i686 GNU/Linux,
> libc-2.3.2.so

Hi Wolfgang,

JDK 1.4.2 from IBM here. I was not able to run it with kaffe :(

-- 
  .''`. 
 : :' :rnaud
 `. `'  
   `-    
Java Trap: http://www.gnu.org/philosophy/java-trap.html



Tags added: fixed-in-experimental Request was from Arnaud Vandyck <avdyk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to Peter Niederlag <pn@kreativwert.de>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #47 received at 315038@bugs.debian.org (full text, mbox):

From: Peter Niederlag <pn@kreativwert.de>
To: Debian Bug Tracking System <315038@bugs.debian.org>
Subject: tomcat5: org.apache.commons.digester.Digester
Date: Sat, 06 Aug 2005 15:09:15 +0200
Package: tomcat5
Version: 5.0.30-3
Followup-For: Bug #315038



-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (800, 'testing'), (600, 'unstable'), (120, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.11-pn
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages tomcat5 depends on:
ii  adduser                       3.64       Add and remove users and groups
ii  apache2-common                2.0.54-4   next generation, scalable,
extenda
ii  apache2-utils [apache-utils]  2.0.54-4   utility programs for webservers
ii  gij-4.0 [java-virtual-machine 4.0.1-2    The GNU Java bytecode
interpreter
ii  j2re1.4 [java-virtual-machine 1.4.2.02-1 Blackdown Java(TM) 2
Runtime Envir
ii  j2sdk1.4 [java-compiler]      1.4.2.02-1 Blackdown Java(TM) 2 SDK,
Standard
ii  jikes-sablevm [java-compiler] 1.11.3-1   Wrapper for jikes using
classes fr
ii  libtomcat5-java               5.0.30-3   Java Servlet engine -- core
librar
ii  sablevm [java-virtual-machine 1.11.3-1   Free implementation of Java
Virtua

tomcat5 recommends no packages.

-- no debconf information

tomcat5 now starts fine using latest version from experimental.
(JAVA_HOME had to be explicitly set to /usr/lib/j2se/1.4 for the
used blackdown-package to be found)

Using either one of the "status","admin", "manager", "jsp examples"
"servlet examples" returns in a HTTP Status 404 error

"WebDAV capabilities" is the only one working.

I already disabled security_policy=no

Here is a snipp from the startup-log.....

2005-08-06 13:50:28 StandardContext[/balancer]Exception starting filter
BalancerFilter
java.lang.NoClassDefFoundError: org/apache/commons/digester/Digester
        at
org.apache.webapp.balancer.RulesParser.createDigester(RulesParser.java:65)
        at
org.apache.webapp.balancer.RulesParser.<init>(RulesParser.java:43)
        at
org.apache.webapp.balancer.BalancerFilter.init(BalancerFilter.java:79)
        at
org.apache.catalina.core.ApplicationFilterConfig.getFilter(ApplicationFilterConfig.java:225)
        at
org.apache.catalina.core.ApplicationFilterConfig.setFilterDef(ApplicationFilterConfig.java:308)
        at
org.apache.catalina.core.ApplicationFilterConfig.<init>(ApplicationFilterConfig.java:79)
        at
org.apache.catalina.core.StandardContext.filterStart(StandardContext.java:3702)
        at
org.apache.catalina.core.StandardContext.start(StandardContext.java:4329)
        at
org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:823)
        at
org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:807)
        at
org.apache.catalina.core.StandardHost.addChild(StandardHost.java:595)
        at
org.apache.catalina.core.StandardHostDeployer.install(StandardHostDeployer.java:277)
        at
org.apache.catalina.core.StandardHost.install(StandardHost.java:832)
        at
org.apache.catalina.startup.HostConfig.deployDirectories(HostConfig.java:701)
        at
org.apache.catalina.startup.HostConfig.deployApps(HostConfig.java:432)
        at
org.apache.catalina.startup.HostConfig.start(HostConfig.java:983)
        at
org.apache.catalina.startup.HostConfig.lifecycleEvent(HostConfig.java:349)
        at
org.apache.catalina.util.LifecycleSupport.fireLifecycleEvent(LifecycleSupport.java:119)
        at
org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1091)
        at
org.apache.catalina.core.StandardHost.start(StandardHost.java:789)
        at
org.apache.catalina.core.ContainerBase.start(ContainerBase.java:1083)
        at
org.apache.catalina.core.StandardEngine.start(StandardEngine.java:478)
        at
org.apache.catalina.core.StandardService.start(StandardService.java:480)
        at
org.apache.catalina.core.StandardServer.start(StandardServer.java:2313)
        at org.apache.catalina.startup.Catalina.start(Catalina.java:556)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at
sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
        at
sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
        at java.lang.reflect.Method.invoke(Method.java:324)
        at
org.apache.catalina.startup.Bootstrap.start(Bootstrap.java:287)
        at
org.apache.catalina.startup.Bootstrap.main(Bootstrap.java:425)




Reply sent to Wolfgang Baer <WBaer@gmx.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Paul Romanchenko <paul@jet.msk.su>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #52 received at 315038-close@bugs.debian.org (full text, mbox):

From: Wolfgang Baer <WBaer@gmx.de>
To: 315038-close@bugs.debian.org
Subject: Bug#315038: fixed in tomcat5 5.0.30-6
Date: Sat, 10 Sep 2005 15:32:06 -0700
Source: tomcat5
Source-Version: 5.0.30-6

We believe that the bug you reported is fixed in the latest version of
tomcat5, which is due to be installed in the Debian FTP archive:

libtomcat5-java_5.0.30-6_all.deb
  to pool/contrib/t/tomcat5/libtomcat5-java_5.0.30-6_all.deb
tomcat5-admin_5.0.30-6_all.deb
  to pool/contrib/t/tomcat5/tomcat5-admin_5.0.30-6_all.deb
tomcat5-webapps_5.0.30-6_all.deb
  to pool/contrib/t/tomcat5/tomcat5-webapps_5.0.30-6_all.deb
tomcat5_5.0.30-6.diff.gz
  to pool/contrib/t/tomcat5/tomcat5_5.0.30-6.diff.gz
tomcat5_5.0.30-6.dsc
  to pool/contrib/t/tomcat5/tomcat5_5.0.30-6.dsc
tomcat5_5.0.30-6_all.deb
  to pool/contrib/t/tomcat5/tomcat5_5.0.30-6_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 315038@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Wolfgang Baer <WBaer@gmx.de> (supplier of updated tomcat5 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 07 Sep 2005 17:25:44 +0200
Source: tomcat5
Binary: tomcat5-admin tomcat5-webapps tomcat5 libtomcat5-java
Architecture: source all
Version: 5.0.30-6
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Wolfgang Baer <WBaer@gmx.de>
Description: 
 libtomcat5-java - Java Servlet engine -- core libraries
 tomcat5    - Java Servlet 2.4 engine with JSP 2.0 support
 tomcat5-admin - Java Servlet engine -- admin web interfaces
 tomcat5-webapps - Java Servlet engine -- documentation and example web applications
Closes: 222876 267741 315038 320845 324041 325507 325508 326126
Changes: 
 tomcat5 (5.0.30-6) unstable; urgency=low
 .
   * Move commons-fileupload jar from common/lib to server/lib
   * Copy fixed struts-config.xml during install over the old one. The fixed
     one is taken from upstream (published at download location)
   * Tomcat5 has a new context file handling. The xml files with the context of
     a webapp needs to be put into conf/[Engine name]/[Host name] whereas the
     default engine which serves the admin webapp has to be called "Catalina":
     + Create conf/Catalina/localhost directory during install
     + Deploy the context files for the webapps into this directory
       (closes: #315038)
     + Added NEWS.Debian file to inform about moving context files to new
       context directory hierarchy.
   * Install the jsp/servlet examples (closes: #325508, #325507, #326126)
   * Added unzip to build-deps (needed to unzip example webapps)
   * Cleaned up debian/rules a bit
   * libcommons-launcher-java dependency added in last upload (closes: #324041)
   * Works with latest kaffe vm (closes: #320845) - added versioned dependency
   * Changed depends to j2sdk1.3 | j2sdk1.4 | j2sdk1.5 | kaffe
   * Removed depends on j2sdk1.3 | j2sdk1.4 | j2sdk1.5 | kaffe | java-compiler
     as the above depends already includes an java-compiler as JDKs
   * Removed note in description about non-free JDKs - kaffe works and the
     info is superceded by the existance of java-package
   * Updated *.policy files to match new jars and fixed typos
   * As tomcat5 is now functional we can close the whishlist bugs for
     packaging tomcat5 (closes: #222876, #267741)
   * Disable commons-daemon copy/build - not available on all platforms
     + Added patch 15_dont_copy_daemon.patch
     + Removed related stuff from debian/rules and debian/control
   * Removed classpath entry from MF and added jars directly to setclasspath.sh
     + Patch 01_remove_classpath_manifest_a.patch removes the entry
     + Patch 01_remove_classpath_manifest_b.patch adds it to setclasspath.sh
   * Fixed typo CALALINA in README.Debian
   * Fixed lintian warning in tomcat5.postinst
   * Extended JDK_DIRS and enabled Security Manager for non-free JDKs
   * Build documentation through commandline xslt processing
     + Patch 03_fix_doc_stylesheet.patch to fix stylsheet variable definition
     + Added xsltproc to build-deps and process docs in debian/rules
     + Moved RELEASE-NOTES to webapps/ROOT where it belongs
     + Added tomcat-docs.xml context definition to allow linking and also
       starting tomcat5 without tomcat5-webapps installed (removed linking
       for tomcat-docs from server.xml)
   * Added myself to uploaders
 .
   * Upload sponsored by Petter Reinholdtsen
Files: 
 739e5e78a75cb7b3fcd937d955cbaecf 1282 contrib/web optional tomcat5_5.0.30-6.dsc
 038f7abfa7169dff316a2a1faa7ac7b9 25013 contrib/web optional tomcat5_5.0.30-6.diff.gz
 3d8e2996f5eb7d4bce9dbc56d12f1385 44374 contrib/web optional tomcat5_5.0.30-6_all.deb
 5a2264533faeb998175463a8f23c3f74 3596396 contrib/web optional libtomcat5-java_5.0.30-6_all.deb
 eaa2ce4e0aec8dd0a204af0a1aaec49d 1120390 contrib/web optional tomcat5-webapps_5.0.30-6_all.deb
 144d663d67f57290e170f57590cdd322 392890 contrib/web optional tomcat5-admin_5.0.30-6_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDI13+20zMSyow1ykRAhk+AKCIOhDMt0wUTTTm/fr0ZMX7rA51ZACgqtx1
uSAo3qoFoMYjrK+5zzI+MJU=
=4XMm
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #57 received at 315038@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Debian Bug Tracking System <315038@bugs.debian.org>
Subject: tomcat5: Tomcat5 doesn't start after installation
Date: Sun, 30 Jul 2006 22:04:57 +0300
Package: tomcat5
Version: 5.0.30-10
Followup-For: Bug #315038

This bug seems to still affect tomcat5 5.0.30-10 in unstable.

$ sudo sh -x /etc/init.d/tomcat5 start
+ PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+ NAME=tomcat5
+ DESC='Tomcat 5 servlet engine'
+ CATALINA_HOME=/usr/share/tomcat5
+ DAEMON=/usr/share/tomcat5/bin/catalina.sh
+ DEFAULT=/etc/default/tomcat5
+ TOMCAT5_USER=tomcat5
+ JDK_DIRS='/usr/lib/j2sdk1.4-sun /usr/lib/j2sdk1.4-blackdown /usr/lib/j2se/1.4 /usr/lib/j2sdk1.5-sun /usr/lib/j2sdk1.3-sun /usr/lib/j2sdk1.3-blackdown /usr/lib/jvm/java-gcj /usr/lib/kaffe'
+ CATALINA_BASE=/var/lib/tomcat5
+ TOMCAT5_SECURITY=yes
+ TOMCAT5_SHUTDOWN=30
+ '[' -f /etc/default/tomcat5 ']'
+ . /etc/default/tomcat5
+ test -f /usr/share/tomcat5/bin/catalina.sh
++ id -u
+ '[' 0 -ne 0 ']'
+ '[' -z tomcat5 ']'
+ for jdir in '$JDK_DIRS'
+ '[' -r /usr/lib/j2sdk1.4-sun/bin/java -a -z '' ']'
+ for jdir in '$JDK_DIRS'
+ '[' -r /usr/lib/j2sdk1.4-blackdown/bin/java -a -z '' ']'
+ for jdir in '$JDK_DIRS'
+ '[' -r /usr/lib/j2se/1.4/bin/java -a -z '' ']'
+ for jdir in '$JDK_DIRS'
+ '[' -r /usr/lib/j2sdk1.5-sun/bin/java -a -z '' ']'
+ for jdir in '$JDK_DIRS'
+ '[' -r /usr/lib/j2sdk1.3-sun/bin/java -a -z '' ']'
+ for jdir in '$JDK_DIRS'
+ '[' -r /usr/lib/j2sdk1.3-blackdown/bin/java -a -z '' ']'
+ for jdir in '$JDK_DIRS'
+ '[' -r /usr/lib/jvm/java-gcj/bin/java -a -z '' ']'
+ JAVA_HOME_TMP=/usr/lib/jvm/java-gcj
+ '[' -r /usr/lib/jvm/java-gcj/bin/jdb ']'
+ for jdir in '$JDK_DIRS'
+ '[' -r /usr/lib/kaffe/bin/java -a -z '' ']'
+ export JAVA_HOME
+ '[' -z '' ']'
+ CATALINA_OPTS='-Djava.awt.headless=true -Xmx128M'
+ '[' -n '' ']'
+ CATALINA_PID=/var/lib/tomcat5/temp/tomcat5.pid
+ STARTUP_OPTS=
+ '[' yes = yes ']'
+ STARTUP_OPTS=-security
+ '[' -z '' -a -r /jre/lib/jsse.jar ']'
+ export CATALINA_HOME CATALINA_BASE CATALINA_OPTS CATALINA_PID JSSE_HOME
+ case "$1" in
+ '[' -z '' ']'
+ echo 'Could not start Tomcat 5 servlet engine because no Java Development Kit'
Could not start Tomcat 5 servlet engine because no Java Development Kit
+ echo '(JDK) was found. Please download and install JDK 1.3 or higher and set'
(JDK) was found. Please download and install JDK 1.3 or higher and set
+ echo 'JAVA_HOME in /etc/default/tomcat5 to the JDK'\''s installation directory.'
JAVA_HOME in /etc/default/tomcat5 to the JDK's installation directory.
+ exit 0

Test for /usr/lib/jvm/java-gcj/bin/jdb seems to succeed if I apt-get
install java-gcj-compat-dev. How about making java-gcj-compat-dev a
dependency?


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.4.32sauna0
Locale: LANG=C, LC_CTYPE=fi_FI (charmap=ISO-8859-1)

Versions of packages tomcat5 depends on:
ii  adduser                       3.95       Add and remove users and groups
ii  apache2-utils [apache-utils]  2.0.55-4   utility programs for webservers
ii  gij-4.1 [java2-runtime]       4.1.1-9    The GNU Java bytecode interpreter
ii  java-gcj-compat-dev           1.0.56-2   Java runtime environment with GCJ
ii  kaffe                         2:1.1.7-3  A JVM to run Java bytecode
ii  kaffe-pthreads [kaffe]        2:1.1.7-3  A POSIX threads enabled version of
ii  libtomcat5-java               5.0.30-10  Java Servlet engine -- core librar

tomcat5 recommends no packages.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to 315038@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #62 received at 315038@bugs.debian.org (full text, mbox):

From: Adeodato Simó <dato@net.com.org.es>
To: 315038@bugs.debian.org
Cc: Arnaud Vandyck <avdyk@debian.org>, Wolfgang Baer <WBaer@gmx.de>, Michael Koch <konqueror@gmx.de>
Subject: Re: tomcat5: Tomcat5 doesn't start after installation
Date: Thu, 10 Aug 2006 13:46:10 +0200
* Timo Juhani Lindfors [Sun, 30 Jul 2006 22:04:57 +0300]:

> Package: tomcat5
> Version: 5.0.30-10
> Followup-For: Bug #315038

> This bug seems to still affect tomcat5 5.0.30-10 in unstable.

> Test for /usr/lib/jvm/java-gcj/bin/jdb seems to succeed if I apt-get
> install java-gcj-compat-dev. How about making java-gcj-compat-dev a
> dependency?

Hi, any news on this bug? I wanted to note that it's currently showing
in the RC bug list for Etch...

Cheers,

-- 
Adeodato Simó                                     dato at net.com.org.es
Debian Developer                                  adeodato at debian.org
 
         Listening to: Los Planetas - Corrientes circulares en el tiempo




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to Arnaud Vandyck <avdyk@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #67 received at 315038@bugs.debian.org (full text, mbox):

From: Arnaud Vandyck <avdyk@debian.org>
To: 315038@bugs.debian.org, Adeodato Simó <dato@net.com.org.es>
Cc: Wolfgang Baer <WBaer@gmx.de>, Michael Koch <konqueror@gmx.de>
Subject: Re: tomcat5: Tomcat5 doesn't start after installation
Date: Mon, 14 Aug 2006 15:40:53 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Adeodato Simó wrote:
> * Timo Juhani Lindfors [Sun, 30 Jul 2006 22:04:57 +0300]:
> 
>> Package: tomcat5
>> Version: 5.0.30-10
>> Followup-For: Bug #315038
> 
>> This bug seems to still affect tomcat5 5.0.30-10 in unstable.
> 
>> Test for /usr/lib/jvm/java-gcj/bin/jdb seems to succeed if I apt-get
>> install java-gcj-compat-dev. How about making java-gcj-compat-dev a
>> dependency?
> 
> Hi, any news on this bug? I wanted to note that it's currently showing
> in the RC bug list for Etch...

I'll try to work on it this week,

Cheers,

- --
  .''`.
 : :' :rnaud
 `. `'
   `-
Java Trap: http://www.gnu.org/philosophy/java-trap.html
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFE4H1l4vzFZu62tMIRAgeQAKC2jE1RSYz9RrykDz0EgyInfzH5owCggHCd
sbfln0NyJWS1c0nziWeIkRw=
=awFm
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to Arnaud Vandyck <arnaud.vandyck@ulg.ac.be>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #72 received at 315038@bugs.debian.org (full text, mbox):

From: Arnaud Vandyck <arnaud.vandyck@ulg.ac.be>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 315038@bugs.debian.org
Subject: Re: Bug#315038: tomcat5: Tomcat5 doesn't start after installation
Date: Tue, 12 Sep 2006 15:22:55 +0200
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Timo Juhani Lindfors wrote:

[...]

> Test for /usr/lib/jvm/java-gcj/bin/jdb seems to succeed if I apt-get
> install java-gcj-compat-dev. How about making java-gcj-compat-dev a
> dependency?

It is already a dependency, we have to find another solution.

- --
Arnaud Vandyck, STE fi, ULg
Formateur Cellule Programmation.
Java Trap: http://www.gnu.org/philosophy/java-trap.html
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFFBrSu4vzFZu62tMIRAj+nAJ0aOseUIZqDW7E0MqXtAfWVuq6YXwCeMquM
2fVTmHIFCf9QP9C3IaM3IQg=
=8//8
-----END PGP SIGNATURE-----
[arnaud.vandyck.vcf (text/x-vcard, attachment)]

Bug reopened, originator not changed. Request was from "Hubert (Chan) Chathi" <uhoreg@debian.org> to control@bugs.debian.org. (Mon, 29 Oct 2007 19:12:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#315038; Package tomcat5. Full text and rfc822 format available.

Acknowledgement sent to "Hubert (Chan) Chathi" <uhoreg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #79 received at 315038@bugs.debian.org (full text, mbox):

From: "Hubert (Chan) Chathi" <uhoreg@debian.org>
To: 315038@bugs.debian.org
Subject: oops. accidentally reopend
Date: Tue, 30 Oct 2007 08:19:53 -0400
Oops.  I accidentally reopened this bug; a different bug was closed by 
spam, and I mis-typed the bug number when trying to reopen that.  I 
can't seem to figure out what the state of this bug was before I 
reopened it.  Please feel free to restore it to what it was before.

Thanks.

-- 
Hubert Chathi <uhoreg@debian.org> -- Jabber: hubert@uhoreg.ca
PGP/GnuPG key: 1024D/124B61FA         http://www.uhoreg.ca/
Fingerprint: 96C5 012F 5F74 A5F7 1FF7  5291 AF29 C719 124B 61FA




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 05 Sep 2008 07:28:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 05:52:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.